# salt.modules.macdefaults

Set defaults on Mac OS

salt.modules.macdefaults.delete(domain, key, user=None)

  Delete a default from the system

  CLI Example:

      salt '*' macdefaults.delete com.apple.CrashReporter DialogType

      salt '*' macdefaults.delete NSGlobalDomain ApplePersistence

  domain

    The name of the domain to delete from

  key

    The key of the given domain to delete

  user

    The user to delete the defaults with

salt.modules.macdefaults.read(domain, key, user=None)

  Read a default from the system

  CLI Example:

      salt '*' macdefaults.read com.apple.CrashReporter DialogType

      salt '*' macdefaults.read NSGlobalDomain ApplePersistence

  domain

    The name of the domain to read from

  key

    The key of the given domain to read from

  user

    The user to read the defaults as

salt.modules.macdefaults.write(domain, key, value, type='string', user=None)

  Write a default to the system

  CLI Example:

      salt '*' macdefaults.write com.apple.CrashReporter DialogType Server

      salt '*' macdefaults.write NSGlobalDomain ApplePersistence True type=bool

  domain

    The name of the domain to write to

  key

    The key of the given domain to write to

  value

    The value to write to the given key

  type

    The type of value to be written, valid types are string, data, int[eger], float, bool[ean], date, array, array-add, dict, dict-add

  user

    The user to write the defaults to